SET_TIMER_SLACK(9)

NAME
set_timer_slack - set the allowed slack for a timer

SYNOPSIS

void set_timer_slack(struct timer_list * timer, int slack_hz);

ARGUMENTS

timer
    the timer to be modified

slack_hz
    the amount of time (in jiffies) allowed for rounding

DESCRIPTION

Set the amount of time, in jiffies, that a certain timer has in terms of slack. By setting this value, the timer subsystem will schedule the actual timer somewhere between the time mod_timer asks for, and that time plus the slack.

By setting the slack to -1, a percentage of the delay is used instead.

COPYRIGHT